#!/bin/bash
INSTALLPATH=/opt/quake2
if [ ! `id -u` -eq 0 ]; then
  echo "This script must be run as root. Use either su or sudo to get root permissions."
  exit 1
fi

echo "Type the full path to the Quake 2 patch (q2-3.20-x86-full-ctf.exe)"
read PATCH
unzip $PATCH -d $INSTALLPATH
if [ ! $? -eq 0 ]; then
  echo "Failed to uncompress the patch. This is required, stopping install here"
  exit 2
fi

rm -rf $INSTALLPATH/3.20_Changes.txt 
rm -rf $INSTALLPATH/quake2.exe 
rm -rf $INSTALLPATH/ref_gl.dll 
rm -rf $INSTALLPATH/ref_soft.dll 
rm -rf $INSTALLPATH/baseq2/gamex86.dll 
rm -rf $INSTALLPATH/baseq2/maps.lst 
rm -rf $INSTALLPATH/ctf/ctf2.ico 
rm -rf $INSTALLPATH/ctf/gamex86.dll 
rm -rf $INSTALLPATH/ctf/readme.txt 
rm -rf $INSTALLPATH/ctf/server.cfg 
rm -rf $INSTALLPATH/DOCS/ 
rm -rf $INSTALLPATH/xatrix/
rm -rf $INSTALLPATH/rogue/

echo "Type the mount point of the Quake 2 CDROM"
read QUAKECD

cp $QUAKECD/Install/Data/baseq2/pak0.pak $INSTALLPATH/baseq2/
if [ ! $? -eq 0 ]; then
  echo "Failed to copy main game file. This is required, stopping install here"
  exit 3
fi
chmod 644 $INSTALLPATH/baseq2/pak0.pak
cp -r $QUAKECD/Install/Data/baseq2/video $INSTALLPATH/baseq2/
if [ ! $? -eq 0 ]; then
  echo "Failed to copy game files. This is required, stopping install here"
  exit 4
fi
chmod 755 $INSTALLPATH/baseq2/video
chmod 644 $INSTALLPATH/baseq2/video/*

